Print[" This is a test to verify your MathCode C++ configuration correctness"];
Print[" Use this command:    math < testunx.m "]

Needs["MathCode`"];

Print["$MachineID=",$MachineID];
Print["$Version=",$Version];
Print["$VersionNumber=",$VersionNumber];
Print["$MathCodeVersion=",$MathCodeVersion];
Print["$SystemID=",$SystemID];
Print["$System=",$System];
Print["FullForm[$System]=",FullForm[$System]];
Print["FullForm[$SystemID]=",FullForm[$SystemID]];
Print["$MCRoot=",$MCRoot];
Print["$MCLicenseID=",$MCLicenseID];
Print["$MathCodeMakeFile=",$MathCodeMakeFile];
Print["FullForm[$MathCodeMakeFile]=",FullForm[$MathCodeMakeFile]];
Print["$MathCodeDefaultLanguage=",  $MathCodeDefaultLanguage]; 
Print["$DefaultCompilers=",$DefaultCompilers];
Print["$CompilerDefinitions=",$CompilerDefinitions];
Print["Options[MakeBinary]=",Options[MakeBinary]];
Print["MakeBinOpt[MathCodeMakeFile,{}]=",MakeBinOpt[MathCodeMakeFile,{}]]
Print[FileNames["Glob*"]];
Run["g++ --version"];
If[$MathCodeDefaultLanguage=!="C++",
   Run["g95 -v"];
   Run["ifort -v"]
]

SetDirectory["/tmp"];
f[Integer x_]->Integer:=x*x;
CleanMathCodeFiles[Confirm->False,CleanAllBut->{}]
BuildCode[];
InstallCode[];
res=f[214748];
Print["214748*214748=",res, ", it should be -1127936752 because of integer arithmetics in C++" ];
Print["Global.clog"];
FilePrint["Global.clog"];  
Print["Global.unx"];
FilePrint["Global.unx"];   
Print["IF YOU SEE any error messages above, please retry the command."];
If[res=!=-1127936752
,
    
  Print["FAILURE, check your license and compiler settings according to instructions and  Release Notes.",
   "Contact support@mathcore.com and provide all output from this script."]
,
  Print["SUCCESS. Cleaning files..."];
  CleanMathCodeFiles[Confirm->False,CleanAllBut->{}]
];

